### Method

# Hitaki EfwProtocol transmit_request

#### Declaration [src]

    gboolean
    hitaki_efw_protocol_transmit_request (
      HitakiEfwProtocol* self,
      guint category,
      guint command,
      const guint32* args,
      gsize arg_count,
      guint32* resp_seqnum,
      GError** error
    )

#### Description [src]

Transfer asynchronous transaction for request frame of Fireworks transaction. It calls `Hitaki.EfwProtocolInterface.transmit_request` internally after composing request frame. It results in `HitakiEfwProtocol::responded` signal with response parameters when receiving response for the transaction.

#### Parameters

`category`

  Type: `guint`

  One of category for the transaction.

`command`

  Type: `guint`

  One of commands for the transaction.

`args`

  Type: An array of `guint32`

  An array with elements of quadlet data for arguments of command.

  The argument can be `NULL`.
  The length of the array is specified in the `arg_count` argument.
  The data is owned by the caller of the method.

`arg_count`

  Type: `gsize`

  The number of quadlets in the args array.

`resp_seqnum`

  Type: `guint32*`

  The sequence number to match response.

  The argument will be set by the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

TRUE if the overall operation finished successfully, else FALSE.